Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.examples.vehiclerouting.domain
Class Customer

    java.lang.Object
      org.optaplanner.examples.common.domain.AbstractPersistable
          org.optaplanner.examples.vehiclerouting.domain.Customer

All Implemented Interfaces:
  Serializable, Comparable<AbstractPersistable>, Standstill

Direct Known Subclasses:
  TimeWindowedCustomer

    public class Customer

extends AbstractPersistable
implements Standstill

See Also:
  Serialized Form

Field Summary
`protected int` | `demand`
`protected Location` | `location`
`protected Customer` | `nextCustomer`
`protected Standstill` | `previousStandstill`
`protected Vehicle` | `vehicle`

Fields inherited from class org.optaplanner.examples.common.domain.AbstractPersistable
`id`

Constructor Summary
`Customer()`

Method Summary
`int` | `getDemand()`
`int` | `getDistanceTo(Standstill standstill)`
`int` | `getDistanceToPreviousStandstill()`
`Location` | `getLocation()`
`Customer` | `getNextCustomer()`
`Standstill` | `getPreviousStandstill()`
`Vehicle` | `getVehicle()`
`void` | `setDemand(int demand)`
`void` | `setLocation(Location location)`
`void` | `setNextCustomer(Customer nextCustomer)`
`void` | `setPreviousStandstill(Standstill previousStandstill)`
`void` | `setVehicle(Vehicle vehicle)`
`String` | `toString()`

Methods inherited from class org.optaplanner.examples.common.domain.AbstractPersistable
`compareTo, getId, setId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### location

    protected Location location

### demand

    protected int demand

### previousStandstill

    protected Standstill previousStandstill

### nextCustomer

    protected Customer nextCustomer

### vehicle

    protected Vehicle vehicle

Constructor Detail

### Customer

    public Customer()

Method Detail

### getLocation

    public Location getLocation()

  Specified by:
    `getLocation` in interface `Standstill`
  Returns:
    never null

### setLocation

    public void setLocation(Location location)

### getDemand

    public int getDemand()

### setDemand

    public void setDemand(int demand)

### getPreviousStandstill

    public Standstill getPreviousStandstill()

### setPreviousStandstill

    public void setPreviousStandstill(Standstill previousStandstill)

### getNextCustomer

    public Customer getNextCustomer()

  Specified by:
    `getNextCustomer` in interface `Standstill`
  Returns:
    sometimes null

### setNextCustomer

    public void setNextCustomer(Customer nextCustomer)

  Specified by:
    `setNextCustomer` in interface `Standstill`

### getVehicle

    public Vehicle getVehicle()

  Specified by:
    `getVehicle` in interface `Standstill`
  Returns:
    sometimes null

### setVehicle

    public void setVehicle(Vehicle vehicle)

### getDistanceToPreviousStandstill

    public int getDistanceToPreviousStandstill()

  Returns:
    a positive number, the distance multiplied by 1000 to avoid floating point arithmetic rounding errors

### getDistanceTo

    public int getDistanceTo(Standstill standstill)

  Parameters:
    `standstill` - never null
  Returns:
    a positive number, the distance multiplied by 1000 to avoid floating point arithmetic rounding errors

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractPersistable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.